

#   Package for CAMAC access using the Hytec PCI5992 interface

set PACKAGE HytecPCI5992
set VERSION 1.0

global tcl_platform 

switch $tcl_platform(os) {
   "Windows NT" {
       package ifneeded $PACKAGE $VERSION  \
           puts stderr "Package $PACKAGE is not available for Windows"
   }
   SunOS {
       package ifneeded $PACKAGE $VERSION  \
           puts stderr "Package $PACKAGE is not available for SunOS"
   }
   Linux {
       switch $tcl_platform(machine) {
           i686 -
           intel {
               package ifneeded $PACKAGE $VERSION  \
                   [load [file join $env(MIDASBASE) packages $PACKAGE Linux lib[set PACKAGE].so]]
           }
           ppc {
               package ifneeded $PACKAGE $VERSION  \
                   puts stderr "Package $PACKAGE is not available for Linux on PPC"
           }
           default {"unknown or unsupported machine - $tcl_platform(machine)"}
       }
   }
   default {"unknown or unsupported os - $tcl_platform(os)"}
}

